import { CharacterData, EntitiesData, PlayerData, ServerData } from "./definitions/adventureland-server";
import { Character } from "./Character";
import { GData2, SkillName } from "./definitions/adventureland-data";
export declare class PingCompensatedCharacter extends Character {
    constructor(userID: string, userAuth: string, characterID: string, g: GData2, serverData: ServerData);
    connect(): Promise<void>;
    protected setNextSkill(skill: SkillName, next: Date): void;
    parseCharacter(data: CharacterData | PlayerData): void;
    protected parseEntities(data: EntitiesData): Promise<void>;
    protected pingLoop(): void;
}
